%global momorel 2

## define alphatag svn1741

Name: openais
Summary: The openais Standards-Based Cluster Framework executive and APIs
Version: 1.1.3
Release: %{momorel}m%{?dist}
License: Modified BSD
Group: System Environment/Base
URL: http://www.openais.org/
Source0: ftp://ftp:download@ftp.openais.org/downloads/%{name}-%{version}/%{name}-%{version}.tar.gz
NoSource: 0

# Runtime bits
Requires(post): chkconfig
Requires(preun): chkconfig
Requires: corosync >= 0.95-1
Requires: openaislib = %{version}-%{release}
Conflicts: openais-devel <= 0.89

# Setup/build bits
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: corosynclib-devel >= 1.0.0-1

%prep
%setup -q -n openais-%{version}

%build
%{configure}  --with-initddir=%{_initscriptdir}
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} STATICLIBS=NO
mkdir -p %{buildroot}%{_initscriptdir}

%clean
rm -rf %{buildroot}

%description 
This package contains the openais service handlers, default configuration
files and init script.

%post
/sbin/chkconfig --add openais || :

%preun
if [ $1 -eq 0 ]; then
    %{_initscriptdir}/openais stop &>/dev/null || :
    /sbin/chkconfig --del openais || :
fi

%postun
[ "$1" -ge "1" ] && %{_initscriptdir}/openais condrestart &>/dev/null || :

%files 
%defattr(-,root,root,-)
%doc LICENSE README.amf
%dir %{_sysconfdir}/corosync
%config(noreplace) %{_sysconfdir}/corosync/amf.conf.example
%{_initscriptdir}/openais
#%dir %{_libexecdir}/lcrso
%{_libexecdir}/lcrso/openaisserviceenable.lcrso
%{_libexecdir}/lcrso/service_amf.lcrso
%{_libexecdir}/lcrso/service_ckpt.lcrso
%{_libexecdir}/lcrso/service_clm.lcrso
%{_libexecdir}/lcrso/service_evt.lcrso
%{_libexecdir}/lcrso/service_lck.lcrso
%{_libexecdir}/lcrso/service_msg.lcrso
%{_libexecdir}/lcrso/service_tmr.lcrso
%{_mandir}/man8/openais_overview.8*
%{_mandir}/man5/openais.conf.5*
%{_mandir}/man5/amf.conf.5*
%{_sbindir}/aisexec
%{_sbindir}/openais-instantiate
%{_datadir}/doc/openais

%package -n openaislib
Summary: The openais Standards-Based Cluster Framework libraries
Group: System Environment/Libraries
Conflicts: openais < 0.91-6

%description -n openaislib
This package contains openais libraries. 

%files -n openaislib
%defattr(-,root,root,-)
%doc LICENSE
%{_libdir}/libSaAmf.so.*
%{_libdir}/libSaCkpt.so.*
%{_libdir}/libSaClm.so.*
%{_libdir}/libSaEvt.so.*
%{_libdir}/libSaLck.so.*
%{_libdir}/libSaMsg.so.*
%{_libdir}/libSaTmr.so.*

%post -n openaislib -p /sbin/ldconfig

%postun -n openaislib -p /sbin/ldconfig

%package -n openaislib-devel
Summary: The openais Standards-Based Cluster Framework libraries
Group: Development/Libraries
Requires: openaislib = %{version}-%{release}
Requires: pkgconfig
Provides: openais-devel = %{version}
Obsoletes: openais-devel < 0.91-6

%description -n openaislib-devel
This package contains the include files used to develop using openais APIs.

%files -n openaislib-devel
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_includedir}/openais/
%{_includedir}/openais/saAis.h
%{_includedir}/openais/saAmf.h
%{_includedir}/openais/saCkpt.h
%{_includedir}/openais/saClm.h
%{_includedir}/openais/saEvt.h
%{_includedir}/openais/saLck.h
%{_includedir}/openais/saMsg.h
%{_includedir}/openais/saTmr.h
%{_libdir}/libSaAmf.so
%{_libdir}/libSaAmf.a
%{_libdir}/libSaCkpt.so
%{_libdir}/libSaCkpt.a
%{_libdir}/libSaClm.so
%{_libdir}/libSaClm.a
%{_libdir}/libSaEvt.so
%{_libdir}/libSaEvt.a
%{_libdir}/libSaLck.so
%{_libdir}/libSaLck.a
%{_libdir}/libSaMsg.so
%{_libdir}/libSaMsg.a
%{_libdir}/libSaTmr.so
%{_libdir}/libSaTmr.a
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.3-2m)
- full rebuild for mo7 release

* Tue Jul 13 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.1.3-1m)
- update 1.1.3
- change URL and Source0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Oct  1 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.0-2m)
- fix %%files

* Tue Sep 29 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.0-1m)
- sync Fedora
 +
 +* Fri Sep 25 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.1.0-1
 +- New upstream release.
 +
 +* Tue Sep 22 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.0.2-1
 +- New upstream release.
 +- spec file updates:
 +  * use proper configure macro
 +
 +* Thu Aug 27 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.0.1-1
 +- New upstream release. Fixes 2 minor issues in SA CheckPoint service.
 +
 +* Tue Jul 28 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.0.0-3
 +- spec file updates:
 +  * consistent use of macros across the board
 +
 +* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
 +- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
 +
 +* Wed Jul  8 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.0.0-1
 +- New upstream release
 +
 +* Thu Jul  2 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.100-1
 +- New upstream release
 +
 +* Sat Jun 20 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.97-1
 +- New upstream release
 +- spec file updates:
 +  * Drop openais-trunk patch and alpha tag.
 +  * Fix alphatag vs buildtrunk handling.
 +  * New config file locations from upstream: /etc/corosync/.
 +  * Fix configure invokation.
 +  * Requires and BuildRequires corosync 0.98
 +
 +* Wed Jun 10 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.96-1.svn1951
 +- New upstream release
 +- spec file updates:
 +  * Update to svn version 1951.
 +  * Define buildtrunk if we are using svn snapshots
 +  * Bump Requires and BuildRequires to corosync 0.97-1.svn2226
 +  * Force autogen invokation if buildtrunk is defined
 +  * Whitespace cleanup
 +  * Respect _smp_mflags and update configure invokation
 +  * Update tree cleanup section
 +  * Stop shipping openais.conf and amf.conf in favour of generic examples
 +  * libraries have moved to libdir. Drop ld.so.conf.d openais file
 +
 +* Tue Mar 24 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.94-1
 +- New upstream release
 +- spec file updates:
 +  * Drop alpha tag
 +  * Drop local patches (no longer required)
 +  * Remove install section for docs and use proper doc macro instead
 +  * Add LICENSE file to all subpackages
 +  * Bump Requires and BuildRequires to corosync 0.95-1
 +  * openaislib-devel now Requires pkgconfig
 +  * Update BuildRoot usage to preferred versions/names

* Tue May 26 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.94-1m)
- sync with Fedora 11 (0.94-1)

* Fri Jan 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.80.3-4m)
- apply gcc44 patch
- License: Modified BSD

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.80.3-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.80.3-2m)
- rebuild against gcc43

* Mon Mar  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.80.3-1m)
- update 0.80.3

* Tue Jul 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.80.1-4m)
- modify Requires
- revise %%preun and %%postun

* Mon Jul 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.80.1-3m)
- move start up script from %%{_initrddir} to %%{_initscriptdir}

* Mon Jul 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.80.1-2m)
- add Requires: chkconfig

* Tue Feb 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.80.1-1m)
- initial commit. import from FC-devel

